from abc import ABC, abstractmethod


class algorithm(ABC):
    @abstractmethod
    def set_config(self, config):
        pass

    @abstractmethod
    def config(self):
        pass

    @abstractmethod
    def eval(self, value):
        pass
